Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 619918 - corosync should fail gracefully if selinux context is not available for an application using corosync apis
corosync should fail gracefully if selinux context is not available for an ap...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: corosync (Show other bugs)
6.0
All Linux
medium Severity high
: rc
: ---
Assigned To: Angus Salkeld
Cluster QE
: RHELNAK
Depends On: 619893 620576
Blocks: 616643
  Show dependency treegraph
 
Reported: 2010-07-30 17:04 EDT by Steven Dake
Modified: 2016-04-26 11:29 EDT (History)
6 users (show)

See Also:
Fixed In Version: corosync-1.2.3-23.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 619893
Environment:
Last Closed: 2011-05-19 10:24:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0764 normal SHIPPED_LIVE corosync bug fix update 2011-05-18 14:08:44 EDT

  None (edit)
Comment 1 Steven Dake 2010-07-30 17:05:53 EDT
corosync should fail gracefully when it is denied permissions via selinux, not segfault.
Comment 3 Angus Salkeld 2010-12-21 23:21:57 EST
I don't suppose anyone knows the version of selinux-policy that
this can be reproduced on?

I have tried installing these two (dated in April):
http://download.devel.redhat.com/brewroot/packages/selinux-policy/3.7.17/5.el6/noarch/selinux-policy-3.7.17-5.el6.noarch.rpm
http://download.devel.redhat.com/brewroot/packages/selinux-policy/3.7.17/5.el6/noarch/selinux-policy-targeted-3.7.17-5.el6.noarch.rpm

and running the "testcpg" program (it runs fine - no crashes).
Comment 4 Angus Salkeld 2011-01-09 22:51:21 EST
I have committed the following patch which I believe fixes the problem:
http://marc.info/?l=openais&m=129306520313001&w=2

I need to confirm that this indeed is the issue. I have not reproduced the
original problem using selinux.
Comment 7 errata-xmlrpc 2011-05-19 10:24:07 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0764.html

Note You need to log in before you can comment on or make changes to this bug.